Name: freeciv
Version: 2.0.2
#%%define beta_ver 5
Release: alt0%{?beta_ver:.b%beta_ver}.M24.1

Summary: The Freeciv multi-player strategy game
License: GPL
Group: Games/Strategy
Url: http://www.freeciv.org/
Packager: Dmitry V. Levin <ldv@altlinux.org>

%define srcname %name-%version%{?beta_ver:-beta%beta_ver}
Source0: ftp://ftp.freeciv.org/pub/freeciv/%{?beta_ver:beta}%{!?beta_ver:stable}/%srcname.tar.bz2
Source1: ftp://ftp.freeciv.org/pub/freeciv/contrib/sounds/sets/stdsounds3.tar.gz
Source2: ftp://ftp.freeciv.org/freeciv/contrib/manual/manual-1.13.0-2.tar.bz2
Source3: manual-skel.tar.bz2
Source4: %name-wrapper
Source5: %name-client.menu
Source6: %name-server.menu
Source11: %name-client.16.png
Source12: %name-client.32.png
Source13: %name-client.48.png
Source21: %name-server.16.png
Source22: %name-server.32.png
Source23: %name-server.48.png

Patch1: %name-1.14.0-alt-aifill.patch
Patch2: %name-2.0.0-alt-revolt.patch
Patch3: %name-2.0.0-alt-reveal.patch
Patch4: %name-2.0.0-alt-po-ru.patch

Requires: %name-client = %version-%release
Requires: %name-server = %version-%release

# Automatically added by buildreq on Fri Mar 14 2003
BuildRequires: esound-devel glib2-devel libSDL-devel libSDL_mixer-devel libalternatives-devel libaudiofile-devel libgtk+2-devel libreadline-devel libtinfo-devel XFree86-devel zlib-devel

%package common
Summary: The Freeciv multi-player strategy game common files
Group: Games/Strategy

%package manual
Summary: The Freeciv multi-player strategy game manual
Group: Games/Strategy
Requires: %name-common = %version-%release

%package server
Summary: The Freeciv multi-player strategy game server
Group: Games/Strategy
Requires: %name-common = %version-%release

%package client
Summary: The Freeciv multi-player strategy game client
Group: Games/Strategy
Requires: %name-common = %version-%release
Provides: %name-client-gui = %version-%release
Provides: %name-client-gtk2 = %version-%release
Provides: %name-client-xaw3d = %version-%release
Obsoletes: %name-client-gtk2, %name-client-xaw3d

%description
Freeciv is a turn-based, multi-player, X based strategy game.  Freeciv
is generally comparable to, and has compatible rules with, the
Civilization II(R) game by Microprose(R).  In Freeciv, each player is
the leader of a civilization, and is competing with the other players
in order to become the leader of the greatest civilization.

%description common
Freeciv is a turn-based, multi-player, X based strategy game.  Freeciv
is generally comparable to, and has compatible rules with, the
Civilization II(R) game by Microprose(R).  In Freeciv, each player is
the leader of a civilization, and is competing with the other players
in order to become the leader of the greatest civilization.

This package contains files common for client ans server.

%description manual
Freeciv is a turn-based, multi-player, X based strategy game.  Freeciv
is generally comparable to, and has compatible rules with, the
Civilization II(R) game by Microprose(R).  In Freeciv, each player is
the leader of a civilization, and is competing with the other players
in order to become the leader of the greatest civilization.

This package contains the Freeciv manual.

%description server
Freeciv is a turn-based, multi-player, X based strategy game.  Freeciv
is generally comparable to, and has compatible rules with, the
Civilization II(R) game by Microprose(R).  In Freeciv, each player is
the leader of a civilization, and is competing with the other players
in order to become the leader of the greatest civilization.

This package contains the Freeciv server.

%description client
Freeciv is a turn-based, multi-player, X based strategy game.  Freeciv
is generally comparable to, and has compatible rules with, the
Civilization II(R) game by Microprose(R).  In Freeciv, each player is
the leader of a civilization, and is competing with the other players
in order to become the leader of the greatest civilization.

This package contains the Freeciv client.

%prep
%setup -q -n %srcname -a1 -a2 -a3
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
find -type f -name \*.orig -delete -print

%build
rm -f configure.in config.cache aclocal.m4
cp m4/x.252 m4/x.m4
cat m4/*.m4 >acinclude.m4
autoreconf -fisv

%configure --enable-server --enable-client=gtk2
%make_build MSUBDIRS=

%install
%makeinstall MSUBDIRS=

# wrapper
%__install -pD -m755 %SOURCE4 $RPM_BUILD_ROOT%_libdir/%name/wrapper
%__mv $RPM_BUILD_ROOT%_bindir/civserver $RPM_BUILD_ROOT%_libdir/%name/
%__ln_s ../lib/%name/wrapper $RPM_BUILD_ROOT%_bindir/civserver

# sounds.
%__cp -a data/stdsounds* $RPM_BUILD_ROOT%_datadir/%name/

# menus/icons.
%__install -pD -m644 %SOURCE5 $RPM_BUILD_ROOT%_menudir/%name-client
%__install -pD -m644 %SOURCE6 $RPM_BUILD_ROOT%_menudir/%name-server
%__install -pD -m644 %SOURCE11 $RPM_BUILD_ROOT%_miconsdir/%name-client.png
%__install -pD -m644 %SOURCE12 $RPM_BUILD_ROOT%_iconsdir/%name-client.png
%__install -pD -m644 %SOURCE13 $RPM_BUILD_ROOT%_liconsdir/%name-client.png
%__install -pD -m644 %SOURCE21 $RPM_BUILD_ROOT%_miconsdir/%name-server.png
%__install -pD -m644 %SOURCE22 $RPM_BUILD_ROOT%_iconsdir/%name-server.png
%__install -pD -m644 %SOURCE23 $RPM_BUILD_ROOT%_liconsdir/%name-server.png

# docs.
%define docdir %_docdir/%name-%version
%__mkdir_p $RPM_BUILD_ROOT%docdir
install -p -m644 AUTHORS NEWS doc/{BUGS,CodingStyle,HACKING,HOWTOPLAY,README*,TODO} \
	$RPM_BUILD_ROOT%docdir/
%__cp -a manual $RPM_BUILD_ROOT%docdir/

%find_lang %name

%pre common
[ -f "%_altdir/%name" ] || exit 0
%unregister_alternatives_always %name ||:

%post server
%update_menus

%postun server
%clean_menus

%post client
%update_menus

%postun client
%clean_menus

%files

%files common -f %name.lang
%dir %_libdir/%name
%_libdir/%name/wrapper
%dir %docdir
%docdir/[A-Z]*

%files manual
%dir %docdir
%docdir/manual

%files server
%_bindir/civserver
%_libdir/%name
%_menudir/%name-server
%_iconsdir/%name-server.png
%_miconsdir/%name-server.png
%_liconsdir/%name-server.png
%_man6dir/civserver.*
%dir %_datadir/%name
%_datadir/%name/civ*
%_datadir/%name/default
%_datadir/%name/history*
%_datadir/%name/nation
%_datadir/%name/scenario

%files client
%_bindir/civclient
%_menudir/%name-client
%_iconsdir/%name-client.png
%_miconsdir/%name-client.png
%_liconsdir/%name-client.png
%_man6dir/civclient.*
%dir %_datadir/%name
%_datadir/%name/flags
%_datadir/%name/freeciv.rc*
%_datadir/%name/helpdata.txt
%_datadir/%name/*isophex*
%_datadir/%name/*trident*
%_datadir/%name/*stdsounds*
%_datadir/%name/misc

%changelog
* Sat Aug 20 2005 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt0.M24.1
- backport to M24 

* Thu Jun 16 2005 Dmitry V. Levin <ldv@altlinux.org> 2.0.2-alt1
- Updated to 2.0.2 release.

* Fri Apr 29 2005 Dmitry V. Levin <ldv@altlinux.org> 2.0.1-alt1
- Updated to 2.0.1 release.

* Mon Apr 18 2005 Dmitry V. Levin <ldv@altlinux.org> 2.0.0-alt1
- Updated to 2.0.0 release.
- Updated stdsounds.
- Removed merged upstream patches.
- Updated patches.

* Sat Dec 18 2004 Dmitry V. Levin <ldv@altlinux.org> 2.0.0-alt0.3.b5
- Fixed upgrade from <= 2.0.0-alt0.1.b4 (#5733).

* Sat Dec 11 2004 Dmitry V. Levin <ldv@altlinux.org> 2.0.0-alt0.2.b5
- Updated to 2.0.0-beta5.
- Merged gtk2 client into -client subpackage,
  simplified build, removed alternatives.

* Thu Nov 25 2004 Dmitry V. Levin <ldv@altlinux.org> 2.0.0-alt0.1.b4
- Updated to 2.0.0-beta4.

* Sun Sep 12 2004 Dmitry V. Levin <ldv@altlinux.org> 1.14.2-alt1
- Updated to 1.14.2 release.
- Updated manual to 1.13.0-2.

* Sun Feb 29 2004 Dmitry V. Levin <ldv@altlinux.org> 1.14.1-alt2
- Fixed build with fresh autotools.

* Thu Dec 11 2003 Dmitry V. Levin <ldv@altlinux.org> 1.14.1-alt1
- Updated to 1.14.1 release.

* Fri Oct 31 2003 Dmitry V. Levin <ldv@altlinux.org> 1.14.1-alt0.1.b2
- Updated to 1.14.1-beta2
- Updated russian translation.

* Wed Apr 30 2003 Stanislav Ievlev <inger@altlinux.ru> 1.14.0-alt4
- change alternatives config format

* Fri Mar 14 2003 Stanislav Ievlev <inger@altlinux.ru> 1.14.0-alt3
- move to new alternatives scheme

* Mon Feb 03 2003 Dmitry V. Levin <ldv@altlinux.org> 1.14.0-alt2
- Enhanced server wrapper a bit (#0002086).

* Sun Jan 19 2003 Dmitry V. Levin <ldv@altlinux.org> 1.14.0-alt1
- Updated to 1.14.0 release.

* Mon Jan 13 2003 Dmitry V. Levin <ldv@altlinux.org> 1.14.0-alt0.2.b3
- Added %%triggerpostun (#0001910).
- Updated buildrequires (#0001916).

* Tue Jan 07 2003 Dmitry V. Levin <ldv@altlinux.org> 1.14.0-alt0.1.b3
- stdsounds2.
- manual-1.13.0-1.
- Fixed tinfo support.
- Added server wrapper to increase chance that cwd is writable.
- Added sound, menu and icons from MDK package.
- Set aifill to 5 on new servers to get some opponents (RH idea).
- Be a bit more verbose about revolution.
- Corrected russian translation a bit.
- Packaged server as separate subpackage.
- Packaged clients as separate subpackages.

* Fri Jan 03 2003 Dmitry V. Levin <ldv@altlinux.org> 1.14.0-alt0.0.1.b3
- freeciv-1.14.0-beta3.
